> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udspeeddial.md).

# New-UDSpeedDial

New-UDSpeedDial crée un bouton d'action flottant dans PowerShell Universal qui se déploie en trois à six éléments d'action rapide connexes.

### Résumé

Lorsqu'on appuie dessus, un bouton d'action flottant peut afficher trois à six actions connexes sous la forme d'un Speed Dial.

### Syntaxe

```powershell
New-UDSpeedDial [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Direction] <String>] [[-Icon] <Hashtable>] [[-OnClose] <Endpoint>] [[-OnOpen] <Endpoint>] [[-OnActionClick] <Endpoint>] [<CommonParameters>]
```

### Description

Lorsqu'on appuie dessus, un bouton d'action flottant peut afficher trois à six actions connexes sous la forme d'un Speed Dial.

### Paramètres

#### -Id

L'ID de ce composant. Sa valeur par défaut est un GUID aléatoire.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid().ToString())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Actions pour ce speed dial. Utilisez New-UDSpeedDialAction pour créer des actions.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Direction

La direction dans laquelle le speed dial s'ouvre. Les valeurs valides sont up, down, left et right.

```
Required?                    false
Position?                    3
Default value                up
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

L'icône du speed dial. Utilisez New-UDIcon pour créer une icône.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClose

Un scriptblock à appeler lorsque le speed dial se ferme.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnOpen

Un scriptblock à appeler lorsque le speed dial s'ouvre.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnActionClick

Un scriptblock à appeler lorsqu'une action est cliquée.

```
Required?                    false
Position?                    7
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Speed Dial de base

```powershell
New-UDSpeedDial -Content {
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
} -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial1'
```

Crée un speed dial de base.

#### Exemple 2 : OnClick

```powershell
New-UDSpeedDial -Content {
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account' -Id 'myAccount'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
} -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial2' -OnActionClick {
   Show-UDToast "Ouch! You clicked $EventData"
}
```

Crée un speed dial avec une action OnClick.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udspeeddial.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
